# cv::DMatch Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| DMatch ()
| DMatch (int _queryIdx, int _trainIdx, float _distance)
| DMatch (int _queryIdx, int _trainIdx, int _imgIdx, float _distance)
bool | operator< (const DMatch &m) const

## Public Attributes

float | distance
int | imgIdx
int | queryIdx
int | trainIdx

## Constructor & Destructor Documentation

cv::DMatch::DMatch | ( | ) | `[inline]`

cv::DMatch::DMatch | ( | int | _queryIdx,
|  | int | _trainIdx,
|  | float | _distance
| ) |  | `[inline]`

cv::DMatch::DMatch | ( | int | _queryIdx,
|  | int | _trainIdx,
|  | int | _imgIdx,
|  | float | _distance
| ) |  | `[inline]`

## Member Function Documentation

bool cv::DMatch::operator< | ( | const DMatch & | m ) | const`[inline]`

## Member Data Documentation

float cv::DMatch::distance

int cv::DMatch::imgIdx

int cv::DMatch::queryIdx

int cv::DMatch::trainIdx

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines